%define tarname aes
Summary: AES (Rijndael) algorithm module for Ruby
Name: ruby-aes
Version: 1.0.0
Release: 1
License: distributable
Group: Applications/Ruby
Source: http://perso.wanadoo.fr/dbug/ruby/%{tarname}-%{version}.tar.bz2
URL: http://www.ruby-lang.org/en/raa-list.rhtml?name=ruby-aes+%28rijndael%29
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
This is an implementation of the AES (Rijndael) algorithm. It's written in
full Ruby. You can use keys of 128, 192 or 256 bits, with 4 different modes:
ECB, CBC, OFB, CFB. 

%prep
%setup -c %{tarname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
mkdir -p $RPM_BUILD_ROOT$sitelibdir
install aes.rb $RPM_BUILD_ROOT$sitelibdir
find $RPM_BUILD_ROOT$sitelibdir -type f -print | \
	ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc aes-test.rb

%changelog
* Mon Jun  3 2002 Ian Macdonald <ian@caliban.org>
- 1.0.0
